Skip to main content
DELETE
https://api.aisa.one/apis/v1
/
agentmail
/
inboxes
/
{inbox_id}
/
lists
/
{direction}
/
{type}
/
{entry}
Delete List Entry
curl --request DELETE \
  --url https://api.aisa.one/apis/v1/agentmail/inboxes/{inbox_id}/lists/{direction}/{type}/{entry} \
  --header 'Authorization: Bearer <token>'
{
  "name": "<string>",
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Authorization
string
required

Bearer authentication

Path Parameters

inbox_id
string
required

The ID of the inbox.

direction
enum<string>
required

Direction of list entry.

Available options:
send,
receive,
reply
type
enum<string>
required

Type of list entry.

Available options:
allow,
block
entry
string
required

Email address or domain.

Response

Successful response